---
title: Using the toolbar role
slug: Web/Accessibility/ARIA/ARIA_Techniques/Using_the_toolbar_role
tags:
  - NeedsContent
---
<p>{{draft}}</p>

<h3 id="Description">Description</h3>

<p>This technique demonstrates how to use the <a href="https://www.w3.org/TR/wai-aria-1.1/#toolbar" rel="noopener">toolbar</a> role and describes the effect it has on browsers and assistive technology.</p>

<h3 id="Possible_effects_on_user_agents_and_assistive_technology">Possible effects on user agents and assistive technology </h3>

<div class="note"><strong>Note:</strong> Opinons may differ on how assistive technology should handle this technique. The information provided above is one of those opinions and therefore not normative.</div>

<h3 id="Examples">Examples</h3>

<h4 id="Example_1">Example 1: </h4>

<pre class="brush: html">Code </pre>

<h4 id="Working_Examples">Working Examples:</h4>

<p><a href="https://www.w3.org/TR/wai-aria-practices/examples/toolbar/toolbar.html">W3C toolbar example</a></p>

<ul>
</ul>

<h3 id="Notes">Notes </h3>

<h3 id="ARIA_attributes_used">ARIA attributes used</h3>

<h3 id="Related_ARIA_techniques">Related ARIA techniques </h3>

<h3 id="Compatibility">Compatibility</h3>

<p class="comment">TBD: Add support information for common UA and AT product combinations</p>

<h3 id="Additional_resources">Additional resources</h3>
